Fetch Expected Date of Delivery [Global]

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Run in Postman

API Reference


Payload Examples

{
  "pickup_details": {
    "city": "",
    "state": "",
    "pincode": "122413",
    "country": "IN"
  },
  "drop_details": {
    "city": "",
    "state": "",
    "pincode": "328158",
    "country": "SG"
  }
}
{
  "pickup_details": {
    "city": "",
    "state": "",
    "pincode": "122413",
    "country": "IN"
  },
  "drop_details": {
    "city": "",
    "state": "",
    "pincode": "328158",
    "country": "SG"
  },
  "optional": {
    "cp_id": 5,
    "is_pudo": "true",
    "awb": "ABCD12345",
    "account_code": "ABC"
  }
}

Endpoint

POST https://ds.clickpost.in/api/v1/global_edd/

Query Parameters

ParameterTypeRequiredDescription
keyStringYesenterprise API key.
usernameStringYesenterprise username.

Request Payload

Field PathData TypeRequiredDescriptionExample
pickup_details.pincodeStringYespickup pincode/zipcode"122413"
pickup_details.countryStringYescountry code for pickup location"IN"
drop_details.pincodeStringYesdrop pincode/zipcode"328158"
drop_details.countryStringYescountry code for drop location"SG"
optional.cp_idIntegerNoCarrier Partner ID. If provided, EDD is computed only for this carrier. List of carriers: https://carriers.clickpost.ai/5
optional.awbStringNoAWB number of shipment. If it's passed, system will try to fetch the EDD for this shipment."ABCD12345"
optional.account_codeStringNoCarrier account code identifier, that you create while creating a carrier account on Clickpost dashboard"ABC"
optional.is_pudoStringNoIf "true", returns results based on pickup‑drop‑off service of the carrier"true"

Response

Meta

FieldTypeDescriptionExample
successBooleanIndicates whether the request succeededtrue
messageStringA message describing the result"SUCCESS"
statusIntegerClickpost status code200

Result

An array containing exactly one object with the following fields:

FieldTypeDescriptionExample
predicted_sla_minIntegerMinimum delivery time (in days) from pickup to drop.5
predicted_sla_maxIntegerMaximum delivery time (in days) from pickup to drop.7
min_sla_account_idIntegerEnterprise account ID that yields the minimum SLA.null
pickup_dateStringDate on which the shipment was picked up (YYYY‑MM‑DD), if derived from AWB metadata.null
account_mapArrayList of account‑level SLA details (if account_code provided).[]
fallback_eddBooleantrue if ML model fallback was applied (e.g., no historical data).false
if_combination_eddBooleantrue if a combination of SLA sources was used.false
source_edd_modelStringName of the ML model or SLA source used for computation (e.g., "Uploaded SLA")."Uploaded SLA"
Query Params
string
required

Username, unique to the enterprise profile

string
required

Unique key to verify/authenticate the enterprise profile

Body Params
json
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json